Get transactions summary [beta]

Returns the transactions totals summarized by status and/or date. When the groupBy is provided with the values date or dateAndStatus the date range between startPaymentDate and endPaymentDate must not exceed 30 days.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Merchant ID

Query Params
date
required

Initial scheduled payment date used to filter the transactions. Format yyyy-mm-dd. Finds scheduled payments between this date and endPaymentDate.

date
required

Final scheduled payment date used to filter the transactions. Format yyyy-mm-dd. Finds scheduled payments between startPaymentDate and this date.

int64

Marketplace ID used as filter. When provided, it returns the values of the transactions belonging only to the marketplace. When not provided, it returns the values of all transactions for the provided Merchant ID.

string

Transaction status used as a filter. When provided, it returns the values of the transactions matching this status.

string
enum

Group the returned entries by this criteria. The default value is status.

  • For the status value, returns one item per different status in the response.
  • For the date value, returns one item per day between the startPaymentDate and endPaymentDate that have transaction values for the filters. The response is ordered by day in ascending order.
  • For the dateAndStatus value, returns one item per day and status. The response is ordered by day and status in ascending order.
Allowed:
Headers
string

Authorization token. This is a regular access token, which does not need to include an account ID.

Responses

400

Bad Request

401

Access token is missing or invalid

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json